org.apache.lucene.spatial.composite

## Class CompositeVerifyQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.spatial.composite.CompositeVerifyQuery

    public class CompositeVerifyQuery
    extends Query

A Query that considers an "indexQuery" to have approximate results, and a follow-on ShapeValuesSource is called to verify each hit from `TwoPhaseIterator.matches()`.

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Constructor Summary

Constructors
Constructor and Description
`CompositeVerifyQuery(Query indexQuery, ShapeValuesPredicate predicateValueSource)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Weight` `createWeight(IndexSearcher searcher, ScoreMode scoreMode, float boost)`
`boolean` `equals(Object other)`
`int` `hashCode()`
`Query` `rewrite(IndexReader reader)`
`String` `toString(String field)`
`void` `visit(QueryVisitor visitor)`

### Methods inherited from class org.apache.lucene.search.Query

`classHash, sameClassAs, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CompositeVerifyQuery

    public CompositeVerifyQuery(Query indexQuery,
                                ShapeValuesPredicate predicateValueSource)

### Method Detail

#### rewrite

    public Query rewrite(IndexReader reader)
                  throws IOException

Overrides:
  `rewrite` in class `Query`
Throws:
  `IOException`

#### equals

    public boolean equals(Object other)

Specified by:
  `equals` in class `Query`

#### hashCode

    public int hashCode()

Specified by:
  `hashCode` in class `Query`

#### toString

    public String toString(String field)

Specified by:
  `toString` in class `Query`

#### visit

    public void visit(QueryVisitor visitor)

Overrides:
  `visit` in class `Query`

#### createWeight

    public Weight createWeight(IndexSearcher searcher,
                               ScoreMode scoreMode,
                               float boost)
                        throws IOException

Overrides:
  `createWeight` in class `Query`
Throws:
  `IOException`